# Centreon - IT and Application monitoring software

## Introduction

Centreon is one of the most flexible and powerful monitoring softwares
on the market; it is absolutely free and Open Souce (released under GNU
General Public License version 2, see LICENSE file).

This software requires [Centreon Engine](https://github.com/centreon/centreon-engine)
and [Centreon Broker](https://github.com/centreon/centreon-broker) to be
operational.

**Quick links**
* the official [Centreon (company) website](https://www.centreon.com)
* the official [online documentation](https://documentation.centreon.com)
* our [bugtracker](https://github.com/centreon/centreon/issues)
* the [forum](http://forum.centreon.com)
* the [download center](https://download.centreon.com)

## Download / Install

The fastest way to install up-to-date software from Centreon is to use
our [Centreon Enterprise Server](https://www.centreon.com/en/products/centreon-enterprise-server/)
Linux distribution, which comes with our software already packaged.

Latest source releases can be retrieved from [Centreon download center](https://download.centreon.com).
They can be installed by following the [online installation guide](https://documentation.centreon.com/docs/centreon/en/latest/installation/from_sources.html).

## Bug report / Feature request

Bug reports and feature requests are more than welcome. However if you
wish to open a new issue, please read [this page](project/creating-issue.md)
first.

## Coding Style Guide

**backend** 
* [PHP](https://github.com/centreon/centreon/tree/master/doc/coding-style/php)

**frontend** 
* [CSS](https://github.com/centreon/centreon/tree/master/doc/coding-style/css)
* [HTML](https://github.com/centreon/centreon/tree/master/doc/coding-style/html)
* [JS](https://github.com/centreon/centreon/tree/master/doc/coding-style/js)

## Authors

### Project leaders
* Julien Mathis
* Romain Le Merlus

### Dev team
* Guillaume Baldo
* Lionel Assepo
* Maximilien Bersoult
* Stéphane Chapron
* Kevin Duret
* Loic Laurent
* Rabaa Ridene
* Remi Werquin
* Quentin Garnier
